activity-log-manager (0.9.7-0ubuntu29) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:59 +0000

activity-log-manager (0.9.7-0ubuntu28) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 12 Mar 2022 07:50:20 -0500

activity-log-manager (0.9.7-0ubuntu27) eoan; urgency=medium

  * debian/control:
    - Build-Depends on libgrypt20-dev install of the transitional 
      libgcrypt11-dev that got removed from the archive.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Jul 2019 17:27:45 +0200

activity-log-manager (0.9.7-0ubuntu26) artful; urgency=medium

  * Add 22_build_with_vala36.patch:
    - Fix build with vala 0.36
  * debian/control:
    - Build-Depend on vala >= 0.36, needed for the patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 17 Jun 2017 20:04:00 -0400

activity-log-manager (0.9.7-0ubuntu25) zesty; urgency=medium

  * debian/patches/21_clear_history_calendars.patch:
    - Fix calendars not working when selecting date range to clear
      (LP: #1303508)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 24 Mar 2017 10:56:02 +1300

activity-log-manager (0.9.7-0ubuntu24) zesty; urgency=medium

  * Cope with XDG_CURRENT_DESKTOP containing multiple elements. Thanks for
    reminding me, Gunnar.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 27 Feb 2017 13:54:10 +0000

activity-log-manager (0.9.7-0ubuntu23) xenial; urgency=medium

  * debian/rules: Put the icon in /usr/share/hicolor/scalable/ so that it can
    be found by the AppStream extractor.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 02 Mar 2016 11:14:06 +0000

activity-log-manager (0.9.7-0ubuntu22) wily; urgency=medium

  * debian/patches/dngettext.patch: specify domain so translations 
    work in unity-control-center, thanks Gabor Kelemen (lp: #1241028)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Oct 2015 17:51:27 +0100

activity-log-manager (0.9.7-0ubuntu20) wily; urgency=medium

  * debian/patches/20_disambiguate_liststore.patch: Fix FTBFS by saying that
    we need Gtk.Liststore, not just ListStore - this is bad now that GLib has
    a thing called ListStore too.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 02 Oct 2015 13:34:00 +0100

activity-log-manager (0.9.7-0ubuntu19) vivid; urgency=medium

  * debian/patches/19_untranslated_menus.patch:
    - Mark some menu entries for translation (LP: #1375598)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 09 Apr 2015 16:58:50 +1200

activity-log-manager (0.9.7-0ubuntu18) vivid; urgency=medium

  * Oops. Fix configure.ac harder with some small refactoring to really allow
    disabling.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 28 Jan 2015 09:53:15 +0000

activity-log-manager (0.9.7-0ubuntu17) vivid; urgency=medium

  * 18_buildsystem_unity_control.center.patch: Allow unity-ccpanel to be
    enabled & disabled properly, indepdendent of GNOME one.
  * debian/rules: Fix flags to disable gnome ccpanel build.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 27 Jan 2015 18:09:13 +0000

activity-log-manager (0.9.7-0ubuntu16) utopic; urgency=medium

  * Don't build the gnome-control-center panel, only the unity-control-center
    one. gnome-control-center doesn't use it. (LP: #1363721)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Sep 2014 12:03:08 +0100

activity-log-manager (0.9.7-0ubuntu15) utopic; urgency=medium

  * debian/patches/17_iconsize.patch: Use correct type for toolbar.icon_size,
    fixing FTBFS.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 18 Sep 2014 15:11:24 +0100

activity-log-manager (0.9.7-0ubuntu14) trusty; urgency=medium

  * debian/patches/16_fix_links_in_ucc.patch:
    - Fix links from panel not showing in Unity Control Center (LP: #1306840)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Apr 2014 13:47:34 +1200

activity-log-manager (0.9.7-0ubuntu13) trusty; urgency=medium

  * Don't try to get properties if the interface doesn't have an owner, to
    break a loop when whoopsie-preferences exits. (LP: #1261096)

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 04 Apr 2014 17:10:14 +0100

activity-log-manager (0.9.7-0ubuntu12) trusty; urgency=medium

  * debian/patches/10_build-with-gee-0.8.patch: Port to gee 0.8 API to avoid
    loading two gee versions in the same process (LP: #1293036)
  * 01_really_hide_automatic_reports.patch: Delete, this is obsolete given
    03_use_libwhoopsie-preferences.patch. Add 13_hide_automatic_reports.patch
    to achieve this with that new patch. (LP: #1203042)
  * 11_make_all_widgets_sensitive.patch: Recursively make all widgets
    sensitive/insensitive when we need to, to avoid missing some.
  * 12_hide_lock_unlock_button.patch: Hide Lock button when it doesn't do
    anything (when the user can't drop the permissions). (LP: #1239752)
  * 14_seconds_combo.patch: Make the entries translatable. (LP: #1235627)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 25 Mar 2014 12:56:33 +0000

activity-log-manager (0.9.7-0ubuntu11) trusty; urgency=medium

  * Unify the options between the 'brightness and lock' panel in g-c-c and
    alm. (LP: #1278392)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 24 Mar 2014 15:20:29 +0000

activity-log-manager (0.9.7-0ubuntu10) trusty; urgency=medium

  * debian/patches/08_directory_icons.patch:
    - Fix directory icons not being shown for known directories
  * debian/patches/09_security_spacing.patch:
    - Fix inconsistent spacing on the security settings page

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Feb 2014 16:20:55 +0000

activity-log-manager (0.9.7-0ubuntu9) trusty; urgency=medium

  * debian/patches/07_proxy_unref.patch:
    - Fix crash opening and closing security panel (LP: #1275736)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Feb 2014 13:46:50 +0000

activity-log-manager (0.9.7-0ubuntu8) trusty; urgency=medium

  * debian/patches/06_panel_width.patch:
  * debian/patches/03_use_libwhoopsie-preferences.patch:
    - Stop control center panel from expanding too wide (LP: #1265239)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Feb 2014 10:46:11 +0000

activity-log-manager (0.9.7-0ubuntu7) trusty; urgency=medium

  * debian/rules:
    - Don't install Unity control center static library
  * debian/patches/04_unity_control_center.patch:
    - Fix whoopsie panel not showing
  * debian/patches/05_files_and_apps_description.patch:
    - Set descriptive text in Files and Applications tab to match design in
      https://wiki.ubuntu.com/SecurityAndPrivacySettings#files (LP: #1263123)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Jan 2014 16:00:38 +1300

activity-log-manager (0.9.7-0ubuntu6) trusty; urgency=medium

  * debian/patches/04_unity_control_center.patch:
    - Fix panel not working in GNOME control center (LP: #1274728)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Jan 2014 11:39:25 +1300

activity-log-manager (0.9.7-0ubuntu5) trusty; urgency=medium

  * debian/patches/04_unity_control_center.patch:
    - Support unity-control-center (LP: #1257505)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 28 Jan 2014 11:37:11 +1300

activity-log-manager (0.9.7-0ubuntu4) saucy; urgency=low

  * debian/patches/03_use_libwhoopsie-preferences.patch:
    - Use libwhoopsie-preferences0 instead of building it in tree. Taken
      from trunk.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 25 Jul 2013 10:49:10 +0100

activity-log-manager (0.9.7-0ubuntu3) saucy; urgency=low

  * activity-log-manager-common is an obsolete package - use
    Conflicts/Replaces, not a versioned Breaks/Replaces.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 14 Jul 2013 09:39:48 -0700

activity-log-manager (0.9.7-0ubuntu2) saucy; urgency=low

  * debian/rules: Undo override of multiarch directories

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Jul 2013 14:13:24 -0400

activity-log-manager (0.9.7-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - System Settings panel has been renamed to "Security and Privacy"
    - New Security tab (LP: #1189313)
    - Incognito Mode now stops GtkRecentManager logging (LP: #992338)
    - Deleting all history also purges entries in GtkRecentManager
      (LP: #992338)
  * Use dh compat 9
  * debian/rules:
    - Disable multiarch direcctories since the System Settings panel doesn't
      work installed there yet
  * debian/patches/02_update_standalone_title.patch:
  * debian/patches/06_add_unity_dash_privacy.patch:
    - Dropped, applied in new release
  * debian/patches/02_dont_show_nonexistant_log_types.patch:
    - Ubuntu doesn't include data loggers for Email or Webpages
      so don't show them in the Include list.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Jul 2013 11:17:30 -0400

activity-log-manager (0.9.6-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1189253, #1050620, #1167531)
  * Don't split control-center plugin to a separate package
  * debian/control:
    - Bump minimum vala
    - Build-depend on libwhoopsie-dev, libzeitgeist-2.0-dev, and
      libgcrypt11-dev (LP: #1197569)
  * debian/watch: Fixed
  * Dropped patches applied in new version:
    - 01_move_to_personal_section.patch
    - 02_handle_upstart_in_whoopsie.patch:
    - 03_correct_path_to_whoopsie_preferences.patch:
    - 04_correct_privacy_policy_url.patch:
    - 05_add_missing_configvapi.patch
    - 05_fix_userdirs.patch
  * debian/patches/01_really_hide_automatic_reports.patch:
    - Don't show "Send automatic reports" since that feature isn't
      implemented yet
  * debian/patches/02_update_standalone_title.patch:
    - Update the title of the standalone app to Activity Log Manager too
  * debian/patches/06_add_unity_dash_privacy.patch:
    - Refreshed and set to only show when Unity is running (LP: #1082552)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 04 Jul 2013 12:32:19 -0400

activity-log-manager (0.9.4-0ubuntu6.1) raring; urgency=low

  * debian/patches/06_add_unity_dash_privacy.patch:
    - drop trailing period from the online result label (lp: #1061930)

  [ Margarita Manterola ]
  * 05_fix_userdirs.patch:
    - Verify that a user directory exists before adding it to the hash map.
      (LP: #1024057)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Nov 2012 15:45:31 +0100

activity-log-manager (0.9.4-0ubuntu6) raring; urgency=low

  * Breaks and Replaces for the previous upload.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 14 Nov 2012 11:58:18 +0000

activity-log-manager (0.9.4-0ubuntu5) raring; urgency=low

  * Move /usr/bin/whoopsie-preferences from activity-log-manager, which
    isn't installed by default, to activity-log-manager-control-center,
    which is (LP: #993056).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 14 Nov 2012 11:53:21 +0000

activity-log-manager (0.9.4-0ubuntu4) quantal; urgency=low

  * debian/patches/05_add_missing_configvapi.patch:
    - add missing file which should be disted upstream for autoreconf
  * Run autoreconf when building
  * debian/patches/06_add_unity_dash_privacy.patch:
    - add unity dash privacy tab to the privacy g-c-c panel (LP: #1054746)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 26 Sep 2012 14:03:52 +0200

activity-log-manager (0.9.4-0ubuntu3) precise; urgency=low

  * 02_handle_upstart_in_whoopsie.patch:
    - Run initctl start/stop whoopsie when enabling/disabling crash
      reporting (LP: #978917).
  * 03_correct_path_to_whoopsie_preferences.patch:
    - The whoopsie_preferences binary is currently installed to /usr/bin.
  * 04_correct_privacy_policy_url.patch:
    - Add a parameter to the end of the privacy policy URL, so that a policy
      specific to crash reporting can be provided.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 11 Apr 2012 16:41:38 +0100

activity-log-manager (0.9.4-0ubuntu2) precise; urgency=low

  * 01_move_to_personal_section.patch:
    - [UIFE] Adding landscape installer caused UI overflow (LP: #973130)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 04 Apr 2012 13:31:02 +0200

activity-log-manager (0.9.4-0ubuntu1) precise; urgency=low

  * New upstream release
    - make Diagnositics tab translatable (LP: #957891, #958483)
    - X-GNOME-Keywords is changed to Keywords (LP: #949849)
    - Fix untranslated strings in Application and History tab
    - Add border to folder blacklist TreeView
    - Fixed a segmentation fault dued to null pixbufs.
    - Make the AppSelection dialog to be orderer automatically by usage.
    - Force the size of the blacklisted directory's text to be consistent
      with the size of the label above.
    - Use "gtk-execute" as application's icon if the application's icon
      isn't in the current IconTheme.
    - Added "Today" and "Yesterday" instead of the date, matching the mockup.
    - The Folders blacklisted have icons if they are special folders
    - The blacklisted Folders list show the folder name and the folder
      path for each entry
    - [UIFe] Blacklisted special folder icons (from nautilus). (LP: #960498)
  * debian/watch:
    - update to latest upstream url
  * debian/control:
    - bump Standards-Version

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 21 Mar 2012 11:16:03 +0100

activity-log-manager (0.9.3-0ubuntu1) precise; urgency=low

  * New upstream release
    - Application blacklist does not block application launches (LP: #930093)
    - Application selection TreeView should show last used and usage
      (LP: #925638)
    - Typo in /src/history-widget.vala:68 (LP: #944993)
    - The Application selection list shows usage of applications
    - Some whoopsie related files have been added to i18n system
  * debian/patches/fix-i18n.patch:
    - removed, usptreamed

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 05 Mar 2012 17:30:46 +0100

activity-log-manager (0.9.2-0ubuntu3) precise; urgency=low

  * debian/patches/fix-i18n.patch: 
    - Add policy.in file to POTFILES.in, 
    - Makefile changes to make the policy file translatable
    - Add type description to the ui file, to extract its messages correctly, 
    - Rename policy file to make it translatable, also remove gettext domain 
      info.
  * Run dh_translations during build, also build-dep on it. (LP: #944362)

 -- Gabor Kelemen <kelemeng@gnome.hu>  Fri, 02 Mar 2012 09:36:44 +0100

activity-log-manager (0.9.2-0ubuntu2) precise; urgency=low

  * Fix the whoopsie breaks/replaces to use the right version comparison.
    LP: #939842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Feb 2012 13:52:12 -0800

activity-log-manager (0.9.2-0ubuntu1) precise; urgency=low

  * New upstream release
    - get rid of all the gtk warnings (LP: #932147)
    - Integrate diagnostics application from whoopsie (LP: #933042)
    - get i18n support (LP: #932145)
    - Check for availability of desktop-file-validate when running configure
      script (LP: #928254)
    - Rename "Delete" in history tab to "Delete History" (LP: #932894)
    - Diagnostics is whoopsie's UI to enable disable error reporting
    - Diagnostics can be enabled using --with-whoopsie
    - If --with-whoopsie is passed, then --with-ccpanel is redundant
  * debian/watch:
    - point to the new upstream file
  * debian/rules, debian/control,
    debian/activity-log-manager-control-center.install:
    - build with --with-whoopsie now (the code is already in precise, just
      moving between packages)
    - activity-log-manager-control-center Breaks/Replaces on older whoopsie
    - now build-dep on libpolkit-gobject-1-dev
    - install files previously in whoopsie

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 23 Feb 2012 18:47:55 +0100

activity-log-manager (0.9.1-0ubuntu2) precise; urgency=low

  * debian/*.install:
    - install new desktop files

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 14 Feb 2012 14:08:06 +0100

activity-log-manager (0.9.1-0ubuntu1) precise; urgency=low

  * New upstream release:
    - The .desktop.in files don't match with executable file name (LP: #928946)
    - History tab always shows "Are you sure you want to delete the history
      from __ to __" even in all selection (LP: #930742)
    - Folder blacklisting doesn't use valid URI (LP: #899096)
  * debian/watch:
    - point to the new upstream launchpad tarball

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 14 Feb 2012 10:11:47 +0100

activity-log-manager (0.9.0.1-0ubuntu1) precise; urgency=low

  * New upstream release, with gnome-control-center integration
  * debian/copyright:
    - update to the new content files
  * debian/pyversions, debian/control, debian/rules:
    - update to the new vala version (transition from the python one) with
      new build-deps
    - remove the .la .a files
  * debian/rules, debian/control, debian/*.install
    - pass --with-ccpanel to build the g-c-c panel integration
    - list the new upstream launchpad page
    - add activity-log-manager-control-center package containing only the
      control center integration and activity-log-manager-common for the asset
    - remove COPYING file shipped by upstream on make install
  * debian/watch:
    - point to the new upstream launchpad tarball

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 08 Feb 2012 16:00:51 +0100

activity-log-manager (0.8.0-1) unstable; urgency=low

  * Initial packaging (Closes: #626831).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 16 May 2011 23:41:37 +0200
